> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pivolio.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pivolio.com/_mcp/server.

# Get Events Event Id

GET /events/event_id

Reference: https://docs.pivolio.com/api-reference/pivolio/get-events-event-id

## Examples

**Response**

```json
{
  "anonymous_id": "anon_1234567890abcdef",
  "browser": "Chrome 113.0",
  "channel": "email",
  "click_ids": {
    "epik": "epik_abcdef123456",
    "fbc": "fb.1.1686392730.IwAR0X9a1b2c3d4e5f6g7h8i9j0k",
    "fbclid": "IwAR0X9a1b2c3d4e5f6g7h8i9j0k",
    "fbp": "fb.1.1686392730.1234567890",
    "gbraid": "BRAID1234567890abcdef",
    "gclid": "Cj0KCQjw3p6lBhD_ARIsANi0X9a1b2c3d4e5f6g7h8i9j0k",
    "li_fat_id": "li_fat_1234567890abcdef",
    "msclkid": "MSCLKID1234567890abcdef",
    "rdt_cid": "rdt_cid_1234567890",
    "sc_click_id": "sc_click_abcdef123456",
    "ttclid": "00abcdef1234567890",
    "ttp": "ttp_abcdef123456",
    "twclid": "twclid_1234567890abcdef",
    "wbraid": "WBR1234567890abcdef"
  },
  "consent": {
    "ad_personalization": "granted",
    "ad_storage": "granted",
    "ad_user_data": "granted",
    "analytics_storage": "granted"
  },
  "country": "US",
  "currency": "USD",
  "deliveries": [
    {
      "attempt": 1,
      "error_code": "",
      "error_message": "",
      "latency_ms": 120,
      "platform": "meta",
      "status": "sent",
      "status_code": 200
    },
    {
      "attempt": 1,
      "error_code": "",
      "error_message": "",
      "latency_ms": 95,
      "platform": "google",
      "status": "sent",
      "status_code": 200
    }
  ],
  "device_type": "desktop",
  "email": "jane.doe@example.com",
  "email_hash": "5d41402abc4b2a76b9719d911017c592",
  "event_id": "evt_9f8b7c6d5a4e3f21",
  "event_name": "Purchase Completed",
  "event_time": "2024-06-10T15:45:30Z",
  "first_name": "Jane",
  "ip": "203.0.113.42",
  "last_name": "Doe",
  "order_id": "order_20240610_001",
  "os": "Windows 10",
  "page_path": "/checkout",
  "page_referrer": "https://www.example.com/cart",
  "page_title": "Checkout - Example Store",
  "page_url": "https://www.example.com/checkout",
  "person_id": "person_1122334455667788",
  "phone": "+14155552671",
  "phone_hash": "e99a18c428cb38d5f260853678922e03",
  "received_at": "2024-06-10T15:45:35Z",
  "revenue_cents": 2599,
  "test_mode": false,
  "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/113.0.0.0 Safari/537.36",
  "user_id": "user_9876543210fedcba",
  "utm_campaign": "summer_sale_2024",
  "utm_content": "button_click",
  "utm_medium": "email",
  "utm_source": "newsletter",
  "utm_term": "discount"
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/events/event_id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/events/event_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/events/event_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/events/event_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/events/event_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/events/event_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/events/event_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/events/event_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```